import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const RoomIcon = ({ originalWidth, originalHeight, color, ...props }) => (
  <Icon
    originalHeight={originalHeight}
    originalWidth={originalWidth}
    {...props}
  >
    <path
      d="M21.1347 2.50153C20.9301 2.29702 20.6527 2.18213 20.3634 2.18213C20.3633 2.18213 20.3631 2.18213 20.3631 2.18213L19.2725 2.1825V3.27342V4.36434V19.6367V20.7276V21.8185H20.3634C20.9659 21.8185 21.4543 21.3301 21.4543 20.7276V3.27305C21.4543 2.98364 21.3394 2.70614 21.1347 2.50153Z"
      fill={color}
    />
    <path
      d="M16.7011 0.255153C16.454 0.047872 16.128 -0.0395497 15.8104 0.0167002L3.44672 2.19981C2.92542 2.29182 2.54541 2.74477 2.54541 3.27408V20.7273C2.54541 21.2567 2.92547 21.7097 3.44677 21.8016L15.8104 23.9834C15.8735 23.9945 15.9369 24 15.9999 24C16.2544 24 16.5032 23.9109 16.7012 23.7448C16.9482 23.5375 17.0908 23.2316 17.0908 22.9091V22.683V21.8182V20.7273V19.6364V4.36463V3.27371V2.18279V1.09093C17.0908 0.76848 16.9482 0.462527 16.7011 0.255153ZM12.4079 13.4989C12.2051 13.7019 11.9235 13.8182 11.6363 13.8182C11.3491 13.8182 11.0683 13.7018 10.8647 13.4988C10.6618 13.2953 10.5454 13.0146 10.5454 12.7273C10.5454 12.44 10.6618 12.1592 10.8647 11.9557C11.0683 11.7527 11.349 11.6363 11.6363 11.6363C11.9235 11.6363 12.2051 11.7527 12.4079 11.9557C12.6108 12.1593 12.7272 12.44 12.7272 12.7273C12.7272 13.0146 12.6108 13.2954 12.4079 13.4989Z"
      fill={color}
    />
  </Icon>
);

RoomIcon.defaultProps = {
  originalWidth: 24,
  originalHeight: 24,
};

RoomIcon.propTypes = {
  color: PropTypes.string,
  originalHeight: PropTypes.number,
  originalWidth: PropTypes.number,
};

export default RoomIcon;
